Eigendom ophalen
curl --request GET \
--url https://api.otbstudio.ai/v1/companies/{id}/ownership \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies/{id}/ownership"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies/{id}/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies/{id}/ownership",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies/{id}/ownership"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies/{id}/ownership")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies/{id}/ownership")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enterpriseNumber": "BE0712345630",
"shareholders": [
{
"name": "Noordkaap Holding NV",
"enterpriseNumber": "BE0723456781",
"stakePercent": 72.5,
"shareClass": "Gewone aandelen",
"asOf": "2025-03-31",
"sourceReference": "2025-00184417",
"sourceSystem": "NBB",
"exact": true
}
],
"participations": [
{
"name": "Noordkaap Warehousing",
"enterpriseNumber": "BE0734567835",
"stakePercent": 100,
"asOf": "2025-03-31",
"sourceReference": "2025-00184417",
"sourceSystem": "NBB",
"exact": true
}
]
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "not_found"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Companies
Eigendom ophalen
Wie een belang heeft in deze onderneming, en de belangen die zij in andere heeft. Beide richtingen hebben dezelfde vorm, en het ondernemingsnummer van elke andere partij kan direct terug in deze route, zodat u een keten kunt volgen.
GET
/
v1
/
companies
/
{id}
/
ownership
Eigendom ophalen
curl --request GET \
--url https://api.otbstudio.ai/v1/companies/{id}/ownership \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies/{id}/ownership"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies/{id}/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies/{id}/ownership",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies/{id}/ownership"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies/{id}/ownership")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies/{id}/ownership")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enterpriseNumber": "BE0712345630",
"shareholders": [
{
"name": "Noordkaap Holding NV",
"enterpriseNumber": "BE0723456781",
"stakePercent": 72.5,
"shareClass": "Gewone aandelen",
"asOf": "2025-03-31",
"sourceReference": "2025-00184417",
"sourceSystem": "NBB",
"exact": true
}
],
"participations": [
{
"name": "Noordkaap Warehousing",
"enterpriseNumber": "BE0734567835",
"stakePercent": 100,
"asOf": "2025-03-31",
"sourceReference": "2025-00184417",
"sourceSystem": "NBB",
"exact": true
}
]
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "not_found"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Autorisaties
Een otb_live_-token, aangemaakt in het OTB Studio-dashboard.
Padparameters
Het ondernemingsnummer. 0712.345.630, BE 0712 345 630 en BE0712345630 worden allemaal aanvaard.